using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.YingFuKuanZhangGuanLi
{
    public partial class ZhangDanHeXiao
    {
        public ZhangDanHeXiao()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            dw_1.DataStore.DataWindowObject = "dw_cw_yfksj_new_list1";
            dw_1.SetTransaction(this.AdoTransaction);
            A8ERP.Common.DWServiceHelp.AddReportService(dw_1);
            this.SetParm("FunctionID", this.FunctionID);

            DataWindowChild dwc = dw_1.GetChild("dqzt");
            dwc.SetTransaction(this.AdoTransaction);
            dwc.Retrieve(this.FunctionID);

            dw_fhjb.DataStore.DataWindowObject = "dw_da_qx_fhjb_by_cdbh";
            dw_fhjb.SetTransaction(this.AdoTransaction);
            dw_fhjb.Retrieve(this.FunctionID);
            //ddlb_1.Text = "¹©Ó¦ÉÌ";

            this.SetParm("CURGNQXSTR", base.GnqxStr);

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("ZhangDanHeXiao", "/CaiWu/YingFuKuanZhangGuanLi/ZhangDanHeXiao.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("ZhangDanHeXiao_Edit", "/CaiWu/YingFuKuanZhangGuanLi/ZhangDanHeXiao_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("ZhangDanHeXiao", "/DangAn/YingFuKuanZhangGuanLi/ZhangDanHeXiao.win.js?JSV=" + AppService.GetJSVesion());

            }
            this.dw_1.ClickHeaderSort = true;
            this.IsRegisterScriptFile = false;
        }
    }
}
